Bug 1844803 - Review Request: scanless - An online port scan scraper
Summary: Review Request: scanless - An online port scan scraper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2020-06-07 10:02 UTC by Fabian Affolter
Modified: 2020-07-13 01:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-06 01:01:48 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-06-07 10:02:56 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/scanless.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/scanless-2.1.2-1.fc31.src.rpm

Project URL: https://github.com/vesche/scanless

Description:
scanless is a Python 3 command-line utility and library for using websites
that can perform port scans on your behalf.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=45508922

rpmlint output:
$ rpmlint scanless-2.1.2-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint *scanless*
python3-scanless.noarch: W: no-manual-page-for-binary scanless
scanless.noarch: W: no-documentation
scanless.noarch: W: no-manual-page-for-binary scanless
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-26 17:50:04 UTC
 - Installation error:

DEBUG util.py:621:  Error: 
DEBUG util.py:621:   Problem 1: conflicting requests
DEBUG util.py:621:    - nothing provides python3.9dist(bs4) needed by python3-scanless-2.1.2-1.fc33.noarch
DEBUG util.py:621:   Problem 2: package scanless-2.1.2-1.fc33.noarch requires python3-scanless = 2.1.2-1.fc33, but none of the providers can be installed
DEBUG util.py:621:    - conflicting requests
DEBUG util.py:621:    - nothing provides python3.9dist(bs4) needed by python3-scanless-2.1.2-1.fc33.noarch

Patch the source to use "beautifulsoup4" instead of "bs4". bs4 is a dummy package.


Package approved. Please fix the aforementioned issue before import.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/scanless/review-
     scanless/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-scanless
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: scanless-2.1.2-1.fc33.noarch.rpm
          python3-scanless-2.1.2-1.fc33.noarch.rpm
          scanless-2.1.2-1.fc33.src.rpm
scanless.noarch: W: no-documentation
scanless.noarch: W: no-manual-page-for-binary scanless
python3-scanless.noarch: W: no-manual-page-for-binary scanless
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 2 Gwyn Ciesla 2020-06-26 21:57:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/scanless

Comment 3 Fedora Update System 2020-06-27 14:07:36 UTC
FEDORA-2020-2e5f3e6f27 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2e5f3e6f27

Comment 4 Fedora Update System 2020-06-27 14:11:55 UTC
FEDORA-2020-bdbbe7a9be has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-bdbbe7a9be

Comment 5 Fedora Update System 2020-06-27 14:27:29 UTC
FEDORA-2020-0cae33336b has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0cae33336b

Comment 6 Fedora Update System 2020-06-27 14:51:18 UTC
FEDORA-2020-049bc4431c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-049bc4431c

Comment 7 Fedora Update System 2020-06-27 14:56:40 UTC
FEDORA-EPEL-2020-8e3b867045 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-8e3b867045

Comment 8 Fedora Update System 2020-06-28 01:10:02 UTC
FEDORA-2020-0cae33336b has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-0cae33336b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0cae33336b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-06-28 01:17:48 UTC
FEDORA-EPEL-2020-8e3b867045 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-8e3b867045

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-06-28 01:56:41 UTC
FEDORA-2020-049bc4431c has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-049bc4431c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-049bc4431c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-07-06 01:01:48 UTC
FEDORA-2020-0cae33336b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-07-06 01:39:47 UTC
FEDORA-2020-049bc4431c has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-07-13 01:00:21 UTC
FEDORA-EPEL-2020-8e3b867045 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.